if not Watcher then return end

if select(2, UnitClass('player')) ~= "MONK" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _
	
-- generic spells
Watcher:addicon("Blackout Kick", 100784)
Watcher:addicon("Breath of Fire", 115181)
Watcher:addicon("Elusive Brew", 115308)
Watcher:addicon("Fists of Fury", 113656)
Watcher:addicon("Jab", 100780)
Watcher:addicon("Keg Smash", 121253)
Watcher:addicon("Rising Sun Kick", 107428)
Watcher:addicon("Tiger Palm", 100787)
Watcher:addicon("Tigereye Brew", 116740)

-- talented spells and procs
Watcher:addicon("Charging Ox Wave", 119392)
Watcher:addicon("Chi Brew", 115399)
Watcher:addicon("Combo Breaker: Blackout Kick", 116768)
Watcher:addicon("Combo Breaker: Tiger Palm", 118864)
Watcher:addicon("Dizzying Haze", 115180)
Watcher:addicon("Invoke Xuen, the White Tiger", 123904)
Watcher:addicon("Leg Sweep", 119381)
Watcher:addicon("Rushing Jade Wind", 116847)
Watcher:addicon("Shuffle", 115307)
Watcher:addicon("Tiger Power", 125359)

-- glyphs

function Watcher:addClassSpells()
Watcher:Direct("Breath of Fire")
Watcher:Direct("Charging Ox Wave")
Watcher:Direct("Chi Brew")
Watcher:Direct("Elusive Brew")
Watcher:Direct("Fists of Fury")
Watcher:Direct("Invoke Xuen, the White Tiger")
Watcher:Direct("Jab")
Watcher:Direct("Leg Sweep")
Watcher:Direct("Rising Sun Kick")
Watcher:Direct("Rushing Jade Wind")
Watcher:Direct("Tigereye Brew")
Watcher:Buff("Shuffle", "Blackout Kick")
Watcher:Buff("Tiger Power", "Tiger Palm", true)
Watcher:Proc("Combo Breaker: Blackout Kick", "Blackout Kick")
Watcher:Proc("Combo Breaker: Tiger Palm", "Tiger Palm")
Watcher:Apply("Dizzying Haze", "Keg Smash", 0, 0, true, true)

end