if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

-- generic spells
Watcher:addicon("Battle Shout", 6673)
Watcher:addicon("Battle Stance", 2457)
Watcher:addicon("Berserker Rage", 18499)
Watcher:addicon("Berserker Stance", 2458)
Watcher:addicon("Bloodthirst", 23881)
Watcher:addicon("Charge", 100)
Watcher:addicon("Cleave", 845)
Watcher:addicon("Colossus Smash", 86346)
Watcher:addicon("Commanding Shout", 469)
Watcher:addicon("Deadly Calm", 85730)
Watcher:addicon("Defensive Stance", 71)
Watcher:addicon("Demoralizing Banner", 114203)
Watcher:addicon("Demoralizing Shout", 1160)
Watcher:addicon("Devastate", 20243)
Watcher:addicon("Die by the Sword", 118038)
Watcher:addicon("Disarm", 676)
Watcher:addicon("Execute", 5308)
Watcher:addicon("Hamstring", 1715)
Watcher:addicon("Heroic Leap", 52174)
Watcher:addicon("Heroic Strike", 78)
Watcher:addicon("Heroic Throw", 57755)
Watcher:addicon("Intervene", 3411)
Watcher:addicon("Intimidating Shout", 5246)
Watcher:addicon("Last Stand", 12975)
Watcher:addicon("Mocking Banner", 114192)
Watcher:addicon("Mortal Strike", 12294)
Watcher:addicon("Overpower", 7384)
Watcher:addicon("Pummel", 12817)
Watcher:addicon("Raging Blow", 96103)
Watcher:addicon("Rallying Cry", 97462)
Watcher:addicon("Recklessness", 1719)
Watcher:addicon("Revenge", 6572)
Watcher:addicon("Shattering Throw", 64382)
Watcher:addicon("Shield Barrier", 112048)
Watcher:addicon("Shield Block", 2565)
Watcher:addicon("Shield Slam", 23922)
Watcher:addicon("Shield Wall", 871)
Watcher:addicon("Skull Banner", 114207)
Watcher:addicon("Slam", 1464)
Watcher:addicon("Spell Reflection", 23920)
Watcher:addicon("Sunder Armor", 7386)
Watcher:addicon("Sweeping Strikes", 12328)
Watcher:addicon("Taunt", 355)
Watcher:addicon("Throw", 122475)
Watcher:addicon("Thunder Clap", 6343)
Watcher:addicon("Victory Rush", 34428)
Watcher:addicon("Whirlwind", 1680)
Watcher:addicon("Wild Strike", 100130)

-- talented spells and procs
Watcher:addicon("Avatar", 107574)
Watcher:addicon("Bladestorm", 46924)
Watcher:addicon("Bloodbath", 12292)
Watcher:addicon("Disrupting Shout", 102060)
Watcher:addicon("Double Time", 103827)
Watcher:addicon("Dragon Roar", 118000)
Watcher:addicon("Enraged Regeneration", 55694)
Watcher:addicon("Impending Victory", 103840)
Watcher:addicon("Juggernaut", 103826)
Watcher:addicon("Mass Spell Reflection", 114028)
Watcher:addicon("Piercing Howl", 12323)
Watcher:addicon("Safeguard", 114029)
Watcher:addicon("Second Wind", 29838)
Watcher:addicon("Shockwave", 46968)
Watcher:addicon("Staggering Shout", 107566)
Watcher:addicon("Storm Bolt", 107570)
Watcher:addicon("Vigilance", 114030)
Watcher:addicon("Warbringer", 103828)

-- glyphs
Watcher:addicon("Blazing Trail", 123781)
Watcher:addicon("Blitz", 58377)
Watcher:addicon("Bloodcurdling Shout", 58096)
Watcher:addicon("Bloodthirst", 58367)
Watcher:addicon("Bloody Healing", 58369)
Watcher:addicon("Bull Rush", 94372)
Watcher:addicon("Burning Anger", 115946)
Watcher:addicon("Crow Feast", 115943)
Watcher:addicon("Death From Above", 63325)
Watcher:addicon("Enraged Speed", 58355)
Watcher:addicon("Furious Sundering", 63326)
Watcher:addicon("Gag Order", 58357)
Watcher:addicon("Gushing Wound", 58099)
Watcher:addicon("Hamstring", 58385)
Watcher:addicon("Heavy Repercussions", 58388)
Watcher:addicon("Hindering Strikes", 58366)
Watcher:addicon("Hoarse Voice", 58387)
Watcher:addicon("Hold the Line", 58364)
Watcher:addicon("Incite", 122013)
Watcher:addicon("Intimidating Shout", 63327)
Watcher:addicon("Long Charge", 58097)
Watcher:addicon("Mighty Victory", 58104)
Watcher:addicon("Mortal Strike", 58368)
Watcher:addicon("Mystic Shout", 58095)
Watcher:addicon("Overpower", 58386)
Watcher:addicon("Raging Wind", 58370)
Watcher:addicon("Recklessness", 94374)
Watcher:addicon("Resonating Power", 57164)
Watcher:addicon("Rude Interruption", 58372)
Watcher:addicon("Shield Slam", 58375)
Watcher:addicon("Shield Wall", 64252)
Watcher:addicon("Spell Reflection", 64302)
Watcher:addicon("Sweeping Strikes", 57168)
Watcher:addicon("Thunder Strike", 68164)
Watcher:addicon("Unending Rage", 58098)
Watcher:addicon("Victory Rush", 58382)
Watcher:addicon("Whirlwind", 63324)

function Watcher:addClassSpells()

end
